Subject: Re: bug#25230: Patch to ispell.el to simplify use of [:alpha:] for CASECHARS in built-in dictionaries

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2016 21:37:24 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 20 Dec 2016 18:42:05 +0000
> Cc: [email-masked]
> 
>  > ​No, because my patch does not change the current behaviour of the code. The assumption that
>  [:alpha:] is OK to use here instead of A-Za-z is already in the code.​
> 
>  Can you point out where in the code you see that assumption?
> 
> The current code in about line 1300 (ispell-set-spellchecker-params) unconditionally overrides all the built-in
> dictionaries' values for casechars and not-casechars with [:alpha:] in the loop that starts
> 
> (dolist (adict ispell-dictionary-alist) …)

That's the place where you suggested to keep the original values.  I
thought there were other places, but it's good to know there are none.

>  I think so, but we should make sure the hard-wired values work with
>  Aspell, before we make that change. If they don't, we should provide
>  something that works for Aspell.
> 
> ​I thought the hard-wired values were only for ispell dictionaries (for aspell, the dictionaries are searched for on
> the computer)…

But if we find that an installed dictionary is one of those in the
data base of the hard-wired values, we use those values, right?
Because AFAIK Aspell provides only one of the 3 character sets we need
in its dictionaries, the other 2 need to be somehow guessed or
provided by the user.